import streamlit as st
import streamlit_authenticator as stauth
import yaml
import mreport as mr
from yaml.loader import SafeLoader
from PIL import Image

image_directory = "person-80.png"
image = Image.open(image_directory)

PAGE_CONFIG = {"page_title":"sales", 
               "page_icon":image, 
               "layout":"wide", 
               "initial_sidebar_state":"auto"}
st.set_page_config(**PAGE_CONFIG)

hide_streamlit_style = """
                <style>
                div[data-testid="stToolbar"] {
                visibility: hidden;
                height: 0%;
                position: fixed;
                }
                div[data-testid="stDecoration"] {
                visibility: hidden;
                height: 0%;
                position: fixed;
                }
                div[data-testid="stStatusWidget"] {
                visibility: hidden;
                height: 0%;
                position: fixed;
                }
                #MainMenu {
                visibility: hidden;
                height: 0%;
                }
                header {
                visibility: hidden;
                height: 0%;
                }
                footer {
                visibility: hidden;
                height: 0%;
                }
                </style>
                """
st.markdown(hide_streamlit_style, unsafe_allow_html=True)



with open('config.yaml') as file:
    config = yaml.load(file, Loader=SafeLoader)

authenticator = stauth.Authenticate(
    config['credentials'],
    config['cookie']['name'],
    config['cookie']['key'],
    config['cookie']['expiry_days'],
    config['preauthorized']
)

bcol1, bcol2, bcol3, bcol4, bcol5, bcol6,= st.columns(6)

with bcol1:
    st.write(' ')
with bcol2: 
    st.write(' ')
with bcol3:
    name, authentication_status, username = authenticator.login('登录', 'main')
with bcol4: 
    st.write(' ')
with bcol5:
    st.write(' ')
with bcol6:
    st.write(' ')

abc_title = '<p style="font-family:fangsong; text-align: center; color:Red; font-size: 36px; background-color:transparent;">分析报表</p>'

acol1, acol2, acol3, acol4, acol5, acol6,= st.columns(6)
if authentication_status:
    with acol1:
        st.write(' ')
    with acol2: 
        st.write(' ')
    with acol3:
        st.write(' ')
    with acol4: 
        st.write(' ')
    with acol5:
        st.write(f'当前用户 *{name}*')
    with acol6:
        authenticator.logout('退出', 'main', key='unique_key')
#    st.title('分析报表')
#    st.markdown(abc_title, unsafe_allow_html=True)
    mr.mainreport()
elif authentication_status is False:
    st.error('用户名/密码错误')
elif authentication_status is None:
    with bcol3:
        st.warning('请输入用户名和密码')